require 'pingan_api/version'
require 'pingan_api/base'
require 'pingan_api/assistance_business'
require 'pingan_api/configuration'
require 'pingan_api/models/log'
require 'pingan_api/models/extensions/map'
require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/assistance/salvation_receive_request'
require 'pingan_api/models/assistance/salvation_receive_response'
require 'pingan_api/models/assistance/operation_send_request'
require 'pingan_api/models/assistance/operation_send_response'
require 'pingan_api/models/assistance/salvation_query_request'
require 'pingan_api/models/assistance/salvation_query_response'
require 'pingan_api/models/assistance/upload_photo_send_request'

module PinganApi

  class << self
    def setup
      yield config
    end

    def config
      @config ||= Configuration.new
    end
  end

end
