require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/extensions/map'

module PinganApi
  module Models
    module Assistance
      class SalvationQueryResponse
        include PinganApi::Models::Extensions::Attributes
        include PinganApi::Models::Extensions::Map

        attr_accessor :tran_code,
                      :bank_code,
                      :bk_serial,
                      :pa_acct_datetime,
                      :business_no,
                      :ft_serial,
                      :region_code,
                      :pa_rslt_code,
                      :pa_rslt_mesg,
                      :salvation_id,
                      :report_name,
                      :report_telephone,
                      :salvation_object,
                      :car_mark,
                      :car_type,
                      :salvation_type,
                      :dep_code,
                      :damage_time,
                      :damage_place,
                      :insured_name,
                      :supplement_info,
                      :operator_id,
                      :callerno,
                      :salvation_fee_type,
                      :obligate_field,
                      :gps_x,
                      :gps_y,
                      :data_source,
                      :salvation_flag,
                      :client_type
        end
    end
  end
end