require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/extensions/map'

module PinganApi
  module Models
    module Assistance
      class UploadPhotoSendRequest
        include PinganApi::Models::Extensions::Attributes
        include PinganApi::Models::Extensions::Map

        attr_accessor :tran_code,
                      :bank_code,
                      :brno,
                      :tellerno,
                      :bk_acct_datetime,
                      :bk_serial,
                      :bk_orgn_sril,
                      :bk_tran_chnl,
                      :region_code,
                      
                      :salvation_id,
                      :salvation_company_id,
                      :car_mark,

                      :photo1_shot_date,
                      :photo1_uploaded_date,
                      :photo1_gps_x,
                      :photo1_gps_y,
                      :photo1_name,

                      :photo2_shot_date,
                      :photo2_uploaded_date,
                      :photo2_gps_x,
                      :photo2_gps_y,
                      :photo2_name,

                      :photo3_shot_date,
                      :photo3_uploaded_date,
                      :photo3_gps_x,
                      :photo3_gps_y,
                      :photo3_name,

                      :photo4_shot_date,
                      :photo4_uploaded_date,
                      :photo4_gps_x,
                      :photo4_gps_y,
                      :photo4_name,

                      :photo5_shot_date,
                      :photo5_uploaded_date,
                      :photo5_gps_x,
                      :photo5_gps_y,
                      :photo5_name
      end
    end
  end
end