module PinganApi
  class Configuration
    def server
      @server ||= "https://222.68.184.181:8007"
    end

    def server=(server)
      @server = server
    end

    def cert
      @cert ||= "config/certs/pingan_api.pem"
    end

    def cert=(cert)
      @cert = cert
    end

    def salvation_receive_response_template
      @salvation_receive_response_template ||= File.join(File.dirname(File.expand_path(__FILE__)), "templates/assistance/salvation_receive_response.xml.erb")
    end

    def salvation_receive_response_template=(template)
      @salvation_receive_response_template = template
    end

    def salvation_query_request_template
      @salvation_query_request_template ||= File.join(File.dirname(File.expand_path(__FILE__)), "templates/assistance/salvation_query_request.xml.erb")
    end

    def salvation_query_request_template=(template)
      @salvation_query_request_template = template
    end

    def operation_send_request_template
      @operation_send_request_template ||= File.join(File.dirname(File.expand_path(__FILE__)), "templates/assistance/operation_send_request.xml.erb")
    end

    def operation_send_request_template=(template)
      @operation_send_request_template = template
    end

    def upload_photo_send_request_template
      @upload_photo_send_request_template ||= File.join(File.dirname(File.expand_path(__FILE__)), "templates/assistance/upload_photo_send_request.xml.erb")
    end

    def upload_photo_send_request_template=(template)
      @upload_photo_send_request_template = template
    end

    def output_log
      @output_log ||= false
    end

    def output_log=(output_log)
      @output_log = output_log
    end

    def encoding
      @encoding ||= "GBK"
    end

    def encoding=(encoding)
      @encoding = encoding
    end
  end
end