require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/extensions/map'

module PinganApi
  module Models
    module Assistance
      class OperationSendRequest
        include PinganApi::Models::Extensions::Attributes
        include PinganApi::Models::Extensions::Map

        attr_accessor :tran_code,
                      :bank_code,
                      :brno,
                      :tellerno,
                      :bk_acct_datetime,
                      :bk_serial,
                      :bk_orgn_sril,
                      :bk_tran_chnl,
                      :region_code,
                      :salvation_id,
                      :malfunction_type,
                      :salvation_type_act,
                      :begin_point,
                      :salvation_fee_type,
                      :salvation_state,
                      :date_connecting,
                      :date_dispatch,
                      :date_arrive,
                      :date_finished,
                      :drag_distance,
                      :salvation_result,
                      :quit_reason,
                      :other_info,
                      :salvation_fee,
                      :insured_status,
                      :end_point,
                      :salvation_fee_pt,
                      :salvation_object_aa,
                      :salvation_help_time,
                      :salvation_person_name,
                      :salvation_person_telno,
                      :salvation_intending_time,
                      :salvation_person_workno,
                      :act_gps_x,
                      :act_gps_y,
                      :act_salvation_place,
                      :salvation_factory_id,
                      :salvation_person_mobile_no
      end
    end
  end
end