require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/extensions/map'

module PinganApi
  module Models
    module Assistance
      class OperationSendResponse
        include PinganApi::Models::Extensions::Attributes
        include PinganApi::Models::Extensions::Map

        attr_accessor :tran_code,
                      :bank_code,
                      :bk_serial,
                      :pa_acct_datetime,
                      :business_no,
                      :ft_serial,
                      :region_code,
                      :pa_rslt_code,
                      :pa_rslt_mesg,
                      :salvation_id,
                      :result_time
      end
    end
  end
end