require 'pingan_api/models/extensions/attributes'
require 'pingan_api/models/extensions/map'

module PinganApi
  module Models
    module Assistance
      class SalvationQueryRequest
        include PinganApi::Models::Extensions::Attributes
        include PinganApi::Models::Extensions::Map

        attr_accessor :tran_code,
                      :bank_code,
                      :brno,
                      :tellerno,
                      :bk_acct_datetime,
                      :bk_serial,
                      :bk_orgn_sril,
                      :bk_tran_chnl,
                      :region_code,
                      :salvation_id,
                      :salvation_factory_id
      end
    end
  end
end