module PinganApi
  module Models
    module Extensions
      module Attributes
        def self.included(base)
          def base.attr_names
            @_list_attr ||= []
          end

          def base.attr_accessor(*names)
            attr_names.concat(names)
            super(*names)
          end

          def base.attr_reader(*names)
            attr_names.concat(names)
            super(*names)
          end

          def base.attr_writer(*names)
            attr_names.concat(names)
            super(*names)
          end
        end
      end
    end
  end
end