require 'erb'

module PinganApi
  module Models
    module Extensions
      module Map

        def get_binding
          binding
        end

        def get_result(template_path)
          erb = ERB.new(File.read(template_path))
          return erb.result(self.get_binding)
        end

        def mapping(hash)
          self.class.attr_names.each do |a|
            self.send("#{a.to_s}=", hash[a.upcase.to_s])
          end
        end

        def to_hash
          hash = {}
          self.instance_variables.each do |var|
            hash[var.to_s.delete("@")] = self.instance_variable_get(var)
          end
          return hash
        end

        def self.included(base)
          def base.from_xml(xml)
            hash = Hash.from_xml(xml)
            hash_all = nil
            unless hash["Response"].nil?
              hash_all = hash["Response"]["Head"].merge(hash["Response"]["Body"]["Apply"])
            end
            unless hash["Request"].nil?
              hash_all = hash["Request"]["Head"].merge(hash["Request"]["Body"]["Apply"])
            end
            # fuck pingan dev 100000.times
            unless hash["RESPONSE"].nil?
              hash_all = hash["RESPONSE"]["Head"].merge(hash["RESPONSE"]["Body"]["Apply"])
            end

            instance = self.new
            instance.mapping(hash_all)
            return instance
          end
        end
      end
    end
  end
end